apiVersion : autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: nginx-hpa-cpu-demo
spec:
  maxReplicas: 10
  minReplicas: 1
  scaleTargetRef:
    apiVersion: extensions/v1
    kind: Deployment
    name: nginx-hpa-cpu-demo
  targetCPUUtilizationPercentage: 20

  # Once cpu percentage exceeds 20%. The HorizontalPodAutoScaler will increase the number of Replica nginx instances to "maxReplicas" in order to maintain the cpu utilization under the target rate, in this case 20%
  # It will not exceed the max number (10) of replicas.


